Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGValueToNodeMapper

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.DIGValueToNodeMapper

All Implemented Interfaces:
  Map1

    public class DIGValueToNodeMapper

extends java.lang.Object
implements Map1

Mapper to map DIG identifier names and concrete value elements to Jena graph nodes.

Version:
  CVS $Id: DIGValueToNodeMapper.java,v 1.7 2008/01/02 12:07:11 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Constructor Summary
`DIGValueToNodeMapper()`

Method Summary
`java.lang.Object` | `map1(java.lang.Object o)` Return the node corresponding to the given element; either a literal node for ival and sval values, or a URI node for named elements.
`Node` | `mapToNode(java.lang.Object o)` Return the node corresponding to the given element; either a literal node for ival and sval values, or a URI node for named elements.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGValueToNodeMapper

    public DIGValueToNodeMapper()

Method Detail

### map1

    public java.lang.Object map1(java.lang.Object o)

  Return the node corresponding to the given element; either a literal node for ival and sval values, or a URI node for named elements.

  Specified by:
    `map1` in interface `Map1`
  Parameters:
    `o` - An object, expected to be an XML element
  Returns:
    A node corresponding to the given value

### mapToNode

    public Node mapToNode(java.lang.Object o)

  Return the node corresponding to the given element; either a literal node for ival and sval values, or a URI node for named elements.

  Parameters:
    `o` - An object, expected to be an XML element
  Returns:
    A node corresponding to the given value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP